/*
 Navicat Premium Data Transfer

 Source Server         : 公司 主
 Source Server Type    : MySQL
 Source Server Version : 50724
 Source Host           : 121.22.111.253:3306
 Source Schema         : peking

 Target Server Type    : MySQL
 Target Server Version : 50724
 File Encoding         : 65001

 Date: 26/02/2020 11:19:35
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for floating_population
-- ----------------------------
DROP TABLE IF EXISTS `floating_population`;
CREATE TABLE `floating_population`  (
  `id` int(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '流动人口无意义逻辑主键',
  `check_coordinate` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '防疫人员给流动车辆扫码坐标',
  `check_time` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '防疫人员给流动车辆扫码时间',
  `submit_coordinate` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '提交预约单时的坐标',
  `submit_time` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '提交预约单时的时间',
  `auth_coordinate` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表单通过后认证时的坐标',
  `auth_time` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表单通过后认证时的时间戳',
  `worker_id` int(20) UNSIGNED NULL DEFAULT NULL COMMENT '防疫人员的id',
  `reservation_id` int(20) UNSIGNED NULL DEFAULT NULL COMMENT '预约表单id',
  `is_temperature_ok` bit(1) NULL DEFAULT b'1' COMMENT '体温是否正常莫认为1：正常',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 32 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for identity_information
-- ----------------------------
DROP TABLE IF EXISTS `identity_information`;
CREATE TABLE `identity_information`  (
  `id` int(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '预约信息表无意义逻辑主键',
  `name` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '姓名',
  `id_card_number` varchar(18) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '身份证号',
  `phone_number` varchar(14) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手机号码',
  `face_image` blob NULL COMMENT '身份登记人像照片',
  `toBeijing_date` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '进京日期',
  `wechat_phone` varchar(14) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '微信绑定手机号',
  `wechat_openid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '微信唯一标识',
  `is_worker` bit(1) NULL DEFAULT b'0' COMMENT '是否是防疫人员。0-不是；1-是',
  `is_authed` int(2) NULL DEFAULT 0 COMMENT '是否已实名0:未实名，1：已实名',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 58 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for reservation
-- ----------------------------
DROP TABLE IF EXISTS `reservation`;
CREATE TABLE `reservation`  (
  `id` int(20) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '预约单无意义逻辑主键',
  `car_number` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '车牌号',
  `outset` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '起点',
  `detailed_outset` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '详细的起始点地址',
  `destination` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '终点',
  `detailed_destination` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '详细目的地地址',
  `community_contact_name` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '社区联系人姓名',
  `community_contact_phone` varchar(14) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '社区联系人电话号码',
  `submit_coordinate` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '提交预约单时的坐标',
  `submit_time` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '提交预约单时的时间',
  `auth_coordinate` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表单通过后认证时的坐标',
  `auth_time` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表单通过后认证时的时间戳',
  `verify_state` int(2) NULL DEFAULT 0 COMMENT '审核状态.0-未审核;1-审核已通过；2-审核已完成（已出行）',
  `identity_id` int(20) UNSIGNED NULL DEFAULT NULL COMMENT '预约单所属人身份id',
  `verify_material` blob NULL COMMENT '证明材料',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 69 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
